Bug 72940 - VIEWING: Interpunct takes up negative space
Summary: VIEWING: Interpunct takes up negative space
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:5.3.0
Keywords:
Depends on: HarfBuzz
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-21 00:28 UTC by hansoa2
Modified: 2016-11-06 18:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Working Document (7.85 KB, application/vnd.oasis.opendocument.text)
2013-12-21 01:57 UTC, Joel Madero
Details
Fonts that display inter‧punct strangely (9.28 KB, application/vnd.oasis.opendocument.text)
2013-12-21 03:38 UTC, hansoa2
Details
Matches what I see in inter‧punct.odt . (21.05 KB, application/pdf)
2013-12-21 03:39 UTC, hansoa2
Details
The same problem in 4.2.0.1 (61.42 KB, image/png)
2013-12-30 19:40 UTC, hansoa2
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hansoa2 2013-12-21 00:28:26 UTC
Problem description: 
Text containing this (‧) symbol is not properly spaced.

Steps to reproduce:
1. Copy this text into a document: "inter‧punct".

Current behavior:
It looks like "inteXunt" where X is a combination of r, ‧, and p.

Expected behavior:
It looks like "inter‧punct".


Operating System: Fedora
Version: 4.1.3.2 release
Comment 1 Joel Madero 2013-12-21 01:57:13 UTC
Looks fine for me. Attached is my document showing this.


What font are you using by default, also did this happen in previous releases?


Marking as NEEDINFO, once you answer previous question, try other fonts, attach a document that you make and a corresponding PDF mark as UNCONFIRMED and we'll go from there.
Comment 2 Joel Madero 2013-12-21 01:57:45 UTC
Created attachment 91068 [details]
Working Document

Ubuntu 13.10
LibreOffice 4.1.3.2
Comment 3 hansoa2 2013-12-21 03:38:00 UTC
Created attachment 91071 [details]
Fonts that display inter‧punct strangely

Shows two fonts (Liberation Serif and DejaVu Serif) where inter‧punct displays strangely.
Comment 4 hansoa2 2013-12-21 03:39:08 UTC
Created attachment 91072 [details]
Matches what I see in inter‧punct.odt .
Comment 5 hansoa2 2013-12-21 03:46:14 UTC
(In reply to comment #1)
> Looks fine for me. Attached is my document showing this.
> 
> 
> What font are you using by default, also did this happen in previous
> releases?
> 
> 
> Marking as NEEDINFO, once you answer previous question, try other fonts,
> attach a document that you make and a corresponding PDF mark as UNCONFIRMED
> and we'll go from there.

I use Liberation Serif by default. This happened in my old version (the one used on Fedora 17) as well.
Comment 6 Jean-Baptiste Faure 2013-12-21 15:32:59 UTC
Not reproducible for me on Ubuntu 13.10 x86-64 with versions 4.0.6, 4.1.4 (both generic Linux version built by TDF) and 4.2.0.1+ (home built).
 
I can suggest you two things:

1/ re-initialize your LibreOffice user profile : https://wiki.documentfoundation.org/Faq/General/110

2/ I guess the problem is on the Fedora side, not on the LibreOffice one. So you should try the generic Linux version from http://www.libreoffice.org/download/

Best regards. JBF
Comment 7 hansoa2 2013-12-21 18:04:45 UTC
(In reply to comment #6)

I did both of those and found no difference. I thought it might just be the fonts but setting Kate to use either of them shows no effect.

This is a fresh install of Fedora 20. Not sure what else I can do.
Comment 8 Joel Madero 2013-12-21 18:53:42 UTC
This is really weird - opening your odt looks fine for me but I can clearly see the issue with your pdf.

So next thing to test: http://www.libreoffice.org/download/pre-releases/

If you can try installing 4.2 rc1 and see if you see the problem there that'll be helpful.
Comment 9 Khaled Hosny (inactive) 2013-12-22 00:04:58 UTC
I can’t reproduce this either, with both 4.1.3.2 and master.
Comment 10 retired 2013-12-23 13:25:25 UTC
Please re-try with 4.2.0.1.

Setting to NEEDINFO until more detail is provided.

After providing the requested info, please reset this bug to UNCONFIRMED. Thanks :)
Comment 11 hansoa2 2013-12-30 19:40:21 UTC
Created attachment 91343 [details]
The same problem in 4.2.0.1
Comment 12 Khaled Hosny (inactive) 2013-12-30 20:33:08 UTC
This looks like a Fedora-specific issue (a broken font propably), please report this to Fedora bug tracker, my be they would have better luck reproducing this. Also what happens if you try the same string and font in other applications?
Comment 13 Khaled Hosny (inactive) 2013-12-30 20:57:05 UTC
OK, I can reproduce this now. It seems be related to Graphite fonts.

Both Liberation Serif and DejaVu Serif do not have the middle dot character, so a fallback font is used and in your system this happens to be Abyssinica SIL (which is a hyprid OpenType/Graphite font), and on my system I get the same effect when Linux Libertine G (which is a Graphite font) is used.

So it seems something is broken in the font fallback layout path with Graphite fonts.
Comment 14 QA Administrators 2015-04-19 03:22:27 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2016-09-20 09:24:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920